## micro-httpd 20140814

=== Makefile ===
BINDIR =	/usr/local/sbin
MANDIR =	/usr/local/man/man8
CC =		cc
CFLAGS =	-O -ansi -pedantic -U__STRICT_ANSI__ -Wall -Wpointer-arith -Wshadow -Wcast-qual -Wcast-align -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wno-long-long
#SYSVLIBS =	-lnsl -lsocket
LDFLAGS =	-s $(SYSVLIBS)

all:		micro_httpd

micro_httpd:	micro_httpd.o
	$(CC) micro_httpd.o $(LDFLAGS) -o micro_httpd

micro_httpd.o:	micro_httpd.c
	$(CC) $(CFLAGS) -c micro_httpd.c

install:	all
	rm -f $(BINDIR)/micro_httpd
	cp micro_httpd $(BINDIR)/micro_httpd
	rm -f $(MANDIR)/micro_httpd.8
	cp micro_httpd.8 $(MANDIR)/micro_httpd.8

clean:
	rm -f micro_httpd *.o core core.* *.core

## micro-httpd 20051212

=== debian/changelog ===
micro-httpd (20051212-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update default web root to /var/www/html (Closes: #730383)
  * Use last changelog date for manpage (Closes: #782218)
  * Ship native systemd unit files.
    Thanks to Alexandre Detiste (Closes: #760819)
  * Update Vcs-Git, Vcs-Browser to use https URLs
  * Update Standards-Version to 3.9.8

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 18:02:42 +0200

micro-httpd (20051212-15) unstable; urgency=low

  * debian/rules
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 03:54:48 -0400

micro-httpd (20051212-14) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Delete rules no longer used.
    - (override_dh_auto_build): New. Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 21 Mar 2012 05:43:27 -0400

micro-httpd (20051212-13) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): update to 3.9.1.
  * debian/micro-httpd.{postinst,prerm}
    - Use /stc/init.d script if invoke-rc.d is not available.
      See LP#394949.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 25 Oct 2010 17:35:49 +0300

micro-httpd (20051212-12) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from debian/rules for dh(1).
  * debian/control
    - (Build-Depends): Remove dpatch.
    - (Depends): add ${misc:Depends} for debhelper.
    - (Standards-Version): update to 3.8.3.
    - (Section) [source]: Correct to httpd.
    - (Section) [binary]: Remove duplicate header (lintian).
  * debian/copyright
    - Use FSF URL (FSF recommendation).
  * debian/micro-httpd.8.pod
    - Add copyright.
  * debian/micro-httpd.manpages
    - Move content from debian/rules for dh(1).
  * debian/README.source
    - Delete, obsoleted by format 3.0.
  * debian/patches
    - Convert to quilt.
  * debian/rules
    - Remove dpatch.
    - Remove rules obsoleted by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Dec 2009 16:41:06 +0200

micro-httpd (20051212-11) unstable; urgency=low

  * debian/compat: update to 7.
  * debian/control
    - (Build-Depends): update debhelper 7.
    - (Section): change web to httpd as per
      http://news.gmane.org/find-root.php?message_id=%3c87r60yiwu7.fsf%40vorlon.ganneff.de%3e
    - (Standards-Version): Update to 3.8.2.
  * debian/micro-httpd.postinst
    - (entry): Check for port name 'http'; do not run as root, but
      nobody:www-data (Closes: #517705).
    - (InetdName): No default value (Closes: #535203).
  * debian/micro-httpd.prerm
    - (InetdName): No default value.
  * debian/rules
    - (install): add dh_lintian.
  * debian/*.8
    - Delete. Generated from *.pod.
  * debian/*.mk
    - Update variables and make macros.
  * debian/*.overrides
    - update-inetd is not called without checks.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 Aug 2009 23:00:55 +0000

micro-httpd (20051212-10) unstable; urgency=low

  * debian/README.Debian-source:
    - New file. Epxlain debian/*.8.
  * debian/*.8
    - New file generated form *.8.pod. Original manual page is no longer
      used.
  * debian/control:
    - (Description): Make more compact.
    - (Depends): Add alternatives 'micro-inetd | netcat-traditional'
      Closes: #482082. Remove unused ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.0.
    - (Suggests): move micro-inetd to 'Depends:' alternatives.
    - (Vcs-*): Add new fields.
  * debian/micro-httpd.{postinst,prerm}:
    - Check if update-inetd command exists (superserver is not requirement).
    - Set PATH.
    - (IsInetd): New.
    - (MainInetd): New.
  * debian/rules:
    - (man): New target.
    - (install): Adjust install calls
    - (binary-arch): Install manual page form debian/*.8
  * debian/debian-vars.mk
    - New file

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 26 Oct 2008 12:14:05 +0300

micro-httpd (20051212-9) unstable; urgency=low

  * debian/control:
    - (Standards-Version): 3.7.3
  * debian/patches:
    - (12_micro_httpd.8--hyphen-fix.dpatch): New file.
      Fix hyphenation in manual page.
    - (30_makefile-strip-fix.dpatch): Add description (lintian fix).
      Closes #437563

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 11 Dec 2007 11:04:12 +0000

micro-httpd (20051212-8) unstable; urgency=low

  * debian/copyright:
    - Update to latest dh-make template (formatting).
  * debian/rules: (clean):
    - Check Makefile before running clean (lintian fix).
  * debian: micro-httpd.{prerm,postinst}:
    - (InetdName): Support rlinetd (Closes: #454655)
    - Remove &> bashism (lintian fix).
  * debian/watch:
    - New file

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Dec 2007 11:58:02 +0000

micro-httpd (20051212-7) unstable; urgency=low

  * debian/control: (Depends): replaced update-inetd with
    openbsd-inetd | inet-superserver.
  * debian/patches: (30): Added *.swf Shockwave support.
    Patch by Nick Schmalenberger <ohp6oD3y A T schmalenberger.us>.
    Thanks.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 29 Jul 2007 14:40:45 +0300

micro-httpd (20051212-6) unstable; urgency=low

  * ACK NMU diff by Luk Claes
  * debian/dirs: Removed. Moved directory creation xto
    debian/rules.
  * debian/patches/20_micro_httpd.c-utf-8.patch: New file. Changed
    charset=iso-8859-1 to utf-8. Patch thanks to
    Nick Schmalenberger <ohp6oD3y@schmalenberger.us>

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 13 Jun 2007 12:44:08 +0300

micro-httpd (20051212-5.1) unstable; urgency=high

  * Non-maintainer upload during BSP.


=== debian/control ===
Source: micro-httpd
Section: httpd
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), dh-systemd
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/micro-httpd.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/micro-httpd.git
Homepage: http://www.acme.com/software/micro_httpd

Package: micro-httpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, openbsd-inetd | inet-superserver | micro-inetd | netcat-traditional | systemd-sysv
Suggests: micro-proxy
Provides: httpd
Description: really small HTTP server
 A very small HTTP server implemented in 150 lines of code.
 Program can be used to serve HTTPS by wrapping it with stunnel.
 It implements all the basic features of an HTTP server, including:
 .
   * Security against ".." filename snooping
   * The common MIME types
   * Trailing-slash redirection
   * index.html
   * Directory listings

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = micro-httpd
BIN	= micro_httpd

include debian/debian-vars.mk

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	# target: man -- convert *.pod to manual page
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=8 makeman

override_dh_auto_build: man
	# Notify Makefile about compilation. We skip the *.o step.
	touch micro_httpd.o
	$(CC) $(CFLAGS) $(CPPFLAGS) micro_httpd.c $(LDFLAGS) -o $(BIN)

override_dh_auto_install:
	install -d -m 0755 $(SBINDIR) $(MAN8DIR)
	$(MAKE) install BINDIR=$(SBINDIR) MANDIR=$(MAN8DIR)

	# rename binary
	mv $(SBINDIR)/$(BIN) $(SBINDIR)/$(PACKAGE)

	# replace original manual page
	rm -f $(MAN8DIR)/*
	$(INSTALL_DATA) debian/*.8 $(MAN8DIR)

override_dh_systemd_enable:
	dh_systemd_enable micro-httpd\@.service micro-httpd.socket

%:
	dh $@ --with systemd

.PHONY: man

# End of file

=== debian/watch ===
version=3
http://www.acme.com/software/micro_httpd/ .*micro_httpd_(.+).tar.gz

## micro-httpd 20140814

=== debian/changelog ===
micro-httpd (20140814-3) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Bump debhelper-compat to 13.
  * Fix Lintian override syntax.
  * Fix "Lintian: W: missing Depends on update-inetd" (Closes: #997691).
  * Fix "sends invalid HTTP when listing unreadable dirs" (Closes: #1027978).
    Implemented the first alternative proposed in the bug report i.e.
    redirect standard error to systemd journal.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.6.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 May 2024 13:16:18 +0100

micro-httpd (20140814-2.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * Fixed "cannot configure the root directory if started by systemd
    instead of inetd" by adding a NEWS item (Closes: #983232).
  * Fixed "systemd install dependency fails if binding to IP other than
    0.0.0.0" by adding FreeBind=true to the socket unit (Closes: #991324).
    Thanks to Ansgar Burchardt for the solution.
  * Fixed "micro-httpd@.service:6: Special user nobody configured, this is
    not safe!" by using the canonical www-data user (Closes: #991884).
  * Ran 'quilt refresh' which defuzzed 30_makefile-strip-fix.dpatch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 14 Oct 2021 16:02:47 +0300

micro-httpd (20140814-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.

  [ Sudip Mukherjee ]
  * Update Standards-Version to 4.5.0.
  * Rename NEWS.Debian to NEWS.
  * Use https with watch file.
  * Remove path from maintainer script.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 06 Feb 2020 18:40:35 +0000

micro-httpd (20140814-1) unstable; urgency=medium

  * Update to upstream 20140814 (Closes: #911932)
  * Add Rules-Requires-Root
  * Use https in copyright

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 15 Dec 2019 00:40:00 +0000

micro-httpd (20051212-16) unstable; urgency=medium

  * Update Maintainer (Closes: #920132)
  * Update compat level to 12
  * Update Standards-Version to 4.4.1
  * Update Vcs to github
  * Update to correct manpage section
  * Option --group is not needed with update-inetd --remove (Closes: #909503)
  * Fix the postinst script to create systemd symlinks
  * Fix crosscompiling of source

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Dec 2019 00:21:43 +0000

=== debian/control ===
Source: micro-httpd
Section: httpd
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://github.com/sudipm-mukherjee/micro-httpd.git
Vcs-Git: https://github.com/sudipm-mukherjee/micro-httpd.git
Homepage: https://www.acme.com/software/micro_httpd

Package: micro-httpd
Architecture: any
Depends: update-inetd | inet-superserver | openbsd-inetd | inetutils-inetd | rlinetd | xinetd, ${misc:Depends}, ${shlibs:Depends}
Suggests: micro-proxy
Provides: httpd
Description: really small HTTP server
 A very small HTTP server implemented in 150 lines of code.
 Program can be used to serve HTTPS by wrapping it with stunnel.
 It implements all the basic features of an HTTP server, including:
 .
   * Security against ".." filename snooping
   * The common MIME types
   * Trailing-slash redirection
   * index.html
   * Directory listings

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PACKAGE = micro-httpd
 BIN	= micro_httpd
+CC	= $(DEB_HOST_GNU_TYPE)-gcc
 
 include debian/debian-vars.mk
 
@@ -30,11 +31,11 @@
 	rm -f $(MAN8DIR)/*
 	$(INSTALL_DATA) debian/*.8 $(MAN8DIR)
 
-override_dh_systemd_enable:
-	dh_systemd_enable micro-httpd\@.service micro-httpd.socket
+override_dh_installsystemd:
+	dh_installsystemd micro-httpd\@.service micro-httpd.socket
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 .PHONY: man
